lzmainfo.c File Reference

lzmainfo tool for compatibility with LZMA Utils More...

`#include "sysdefs.h"`
`#include <stdio.h>`
`#include <errno.h>`
`#include "lzma.h"`
`#include "getopt.h"`
`#include "tuklib_gettext.h"`
`#include "tuklib_progname.h"`
`#include "tuklib_exit.h"`

## Functions

static void | lzma_attribute ((__noreturn__))
static void | parse_args (int argc, char **argv)
| Parse command line options. More...
static uint32_t | my_log2 (uint32_t n)
| Primitive base-2 logarithm for integers. More...
static bool | lzmainfo (const char *name, FILE *f)
| Parse the .lzma header and display information about it. More...
int | main (int argc, char **argv)

## Detailed Description

lzmainfo tool for compatibility with LZMA Utils

## Function Documentation

## parse_args()

static void parse_args | ( | int | argc,
|  | char ** | argv
| ) |  |

static

Parse command line options.

## my_log2()

static uint32_t my_log2 | ( | uint32_t | n | ) |

static

Primitive base-2 logarithm for integers.

## lzmainfo()

static bool lzmainfo | ( | const char * | name,
|  | FILE * | f
| ) |  |

static

Parse the .lzma header and display information about it.